Browse Site by Tags

Showing related tags and posts accross the entire site.
  • Need to update the dongle

    Hello all, I recently upgraded MC 8.8.5 to MC 2018.8. I get an error of "this software was released past your contract expiration date (7/29/18)." My contract was updated and expires 7/29/29. Could someone tell me how I can receive the necessary file to update the dongle in Application Manager...
    Posted to Licensing Options (Forum) by Paul Donahue on Mon, Sep 10 2018
  • Using MC 8, 8.1 or 8.2 with an 8.5.3 dongle

    Hi, this might be an easy answer, but I couldn't find this specific question on the FAQs. We are updating some PCs and were going to use a spare Avid dongle (for which we have a support plan) to use 8.5.3 on an recently updated PC. The processor is a bit old though (HP XW8400 - dual Xeons) so apparently...
    Posted to Licensing Options (Forum) by Dan on Wed, Jun 15 2016
  • Can't update my MC 4.0 dongle

    Hello, I was wondering if anyone knew how to get around this issue. I have a Avid dongle that was used with MC 4. However, I've purchased MC 7 with Symphony option and when I try to update my dongle with the downloaded updater file I obtained from the avid.com/upgrde website it says that my dongle...
    Posted to Avid Media Composer - PC (Forum) by masterkey on Sun, Oct 20 2013
Page 1 of 1 (3 items)

© Copyright 2011 Avid Technology, Inc.  Terms of Use |  Privacy Policy |  Site Map |  Find a Reseller